﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using WSUniversalLib;

namespace UnitTestProject1
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void TestMethodGetQuantityForProduct_AreEqual()
        {
            Assert.AreEqual(114147, WSUniversalLib.Calculation.GetQuantityForProduct(3, 1, 15, 20, 45));
        }
        [TestMethod]
        public void TestMethodGetQuantityForProduct_AreNotEqual()
        {
            Assert.AreNotEqual(11111, WSUniversalLib.Calculation.GetQuantityForProduct(3, 1, 15, 20, 45));
        }
        [TestMethod]
        public void TestMethodGetQuantityForProduct_IsInstanceOfTypeInt()
        {
            Assert.IsInstanceOfType(WSUniversalLib.Calculation.GetQuantityForProduct(3, 1, 15, 20, 45), typeof(int));
        }
        [TestMethod]
        public void TestMethodGetQuantityForProduct_IsNotInstanceOfTypeString()
        {
            Assert.IsNotInstanceOfType(WSUniversalLib.Calculation.GetQuantityForProduct(3, 1, 15, 20, 45), typeof(string));
        }
        [TestMethod]
        public void TestMethodGetQuantityForProduct_IsNotNull()
        {
            Assert.IsNotNull(WSUniversalLib.Calculation.GetQuantityForProduct(3, 1, 15, 20, 45));
        }
        [TestMethod]

        public void TestMethodGetQuantityForProduct_AreEgual_IncorrectData_MaterialType()
        {
            Assert.AreEqual(-1, WSUniversalLib.Calculation.GetQuantityForProduct(3, 10, 15, 20, 45));
        }
        [TestMethod]
        public void TestMethodGetQuantityForProduct_AreEgual_IncorrectData_ProductType()
        {
            Assert.AreEqual(-1, WSUniversalLib.Calculation.GetQuantityForProduct(5, 1, 15, 20, 45));
        }


    }
}
